jQuery(document).ready(function($) {

	if(jQuery('#fecha_desde').length)
		jQuery('#fecha_desde').datepicker({dateFormat : 'dd/mm/yy'});
	if(jQuery('#fecha_hasta').length)
		jQuery('#fecha_hasta').datepicker({dateFormat : 'dd/mm/yy'});
	
	jQuery("#list_projects").click(function(){
		
		var data = {
			action: 'list_projects',
			fecha_desde: jQuery("#fecha_desde").val(),
			fecha_hasta: jQuery("#fecha_hasta").val()
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			if(response=="KO"){
			     mensaje= ajax_object.no_projects;
				 bgcolor = ajax_object.error_color;
				 jQuery("#list_projects").blur();
				 jQuery("#server_message").html(mensaje);
				 jQuery("#server_message").css("display","block");
				 jQuery("#server_message").css("background-color",bgcolor);
				 }
			else {
				 jQuery("#formulario_graficos").html(response);				 
				 
					 function load_projects(action_name)
					 {
							proyectos = '';
							jQuery(".marcador_proyecto:checked" ).each(function(index){
								proyectos += ','+jQuery( this ).val();
							 });
							if(proyectos){
								proyectos = proyectos.substr(1);
								var data = { action: action_name, projects: proyectos	};		
								jQuery.post(ajax_object.ajax_url, data, function(response) {
									jQuery("#formulario_graficos").html(response);
									eval(jQuery("#formulario_graficos script").html());
									run_graphics();
								});
							}
							else alert(ajax_object.please_select_projects);
					 }
					
					 jQuery("#show_graph_1").click(function(){ load_projects('graph_1') });
					 
					 jQuery("#show_graph_2").click(function(){ load_projects('graph_2') });
					 
					 jQuery("#show_graph_3").click(function(){ load_projects('graph_3') });
				 
				}
		});
		
	});
	
	/* */
	if(jQuery('#fecha_modulo_desde').length)
		jQuery('#fecha_modulo_desde').datepicker({dateFormat : 'dd/mm/yy'});
	if(jQuery('#fecha_modulo_hasta').length)
		jQuery('#fecha_modulo_hasta').datepicker({dateFormat : 'dd/mm/yy'});
	
	jQuery("#filter_modules").click(function(){
		var data = {
			action: 'filter_modules',
			fecha_modulo_desde: jQuery("#fecha_modulo_desde").val(),
			fecha_modulo_hasta: jQuery("#fecha_modulo_hasta").val()
		};
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			if(response=="KO"){
			     mensaje= ajax_object.no_projects;
				 bgcolor = ajax_object.error_color;
				 jQuery("#filter_modules").blur();
				 jQuery("#server_message").html(mensaje);
				 jQuery("#server_message").css("display","block");
				 jQuery("#server_message").css("background-color",bgcolor);
				 }
			else {
				 jQuery("#graficos_modulos").html(response);
				 eval(jQuery("#graficos_modulos script").html());
				 run_graphics();
				}
		});
	});
	
	jQuery("#enviar_mail").click(function(){

		var data = {
			action: 'send_email',
			user_id: ajax_object.user_id,
			post_id: ajax_object.post_id,
			to: jQuery("#email_to").val()
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			if(response=="OK"){
			     mensaje= ajax_object.post_succesfully_sent+" "+data.to;
				 bgcolor = ajax_object.success_color;
				 }
			else {
				 mensaje= ajax_object.mail_not_sent + response;
				 bgcolor = ajax_object.error_color;
				 }
			jQuery("#enviar_mail").blur();
			jQuery("#server_message").html(mensaje);
			jQuery("#server_message").css("display","block");
			jQuery("#server_message").css("background-color",bgcolor);
		});
	
	});
	
	
	jQuery("#crear_etiqueta").click(function(){
	
		
		var data = {
			action: 'crear_etiqueta',
			user_id: ajax_object.user_id,
			post_id: ajax_object.post_id,
			tags: jQuery("#new_tag").val()
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {			
			if(response=="Error"){
			     mensaje= ajax_object.could_not_add_tag;
				 bgcolor = ajax_object.error_color;
				 }
			else {
				mensaje = ajax_object.correctly_tagged;
				jQuery(".tag_list").html(response);
				jQuery("#new_tag").val('');
				bgcolor = ajax_object.success_color;
			}	 
			jQuery("#crear_etiqueta").blur();
			jQuery("#server_message").html(mensaje);
			jQuery("#server_message").css("display","block");
			jQuery("#server_message").css("background-color",bgcolor);
		});
	
	});
	
	jQuery("#categorizar").click(function(){

		var data = {
			action: 'categorize',
			user_id: ajax_object.user_id,
			post_id: ajax_object.post_id,
			cat: jQuery("#cat").val()
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			if(response=="Error"){
			     mensaje= ajax_object.could_not_classify;
				 bgcolor = ajax_object.error_color;
				 }
			else {
				mensaje = ajax_object.correctly_classified + " " + response;
				jQuery(".category_list").append(", "+response);
				jQuery("#cat option[value='"+data.cat+"']").remove();
				bgcolor = ajax_object.success_color;
			}
			jQuery("#categorizar").blur();
			jQuery("#server_message").html(mensaje);
			jQuery("#server_message").css("display","block");
			jQuery("#server_message").css("background-color",bgcolor);
		});
	
	});
	
	jQuery("#proyectualizar").click(function(){

		var data = {
			action: 'projectualize',
			user_id: ajax_object.user_id,
			post_id: ajax_object.post_id,
			proj: jQuery("#proj").val(),
			/*proj: jQuery("#proj").find(":selected").text()*/
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			if(response=="Error"){
			     mensaje= ajax_object.could_not_projectualize;
				 bgcolor = ajax_object.error_color;
				 }
			else {
				if(data.proj) mensaje = ajax_object.correctly_projectualized;
				else mensaje = ajax_object.remove_projectualized;
				jQuery(".project_list").append(", "+response);
				jQuery("#proj option[value='"+data.proj+"']").remove();
				bgcolor = ajax_object.success_color;
			}
			jQuery("#proyectualizar").blur();
			jQuery("#server_message").html(mensaje);
			jQuery("#server_message").css("display","block");
			jQuery("#server_message").css("background-color",bgcolor);
		});
	
	});
	
	jQuery("#marcarFavorito").click(function(){

		var data = {
			action: 'favorite',
			user_id: ajax_object.user_id,
			post_id: ajax_object.post_id,			
		};
	
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			//alert(response);
		
			if(response.includes("added")){
			     mensaje= ajax_object.added_to_favourites;
				 bgcolor = ajax_object.success_color;
				 jQuery("#esFavorito").html(ajax_object.is_favourite);
				 jQuery("#marcarFavorito").val(ajax_object.remove);
			}
			else if(response.includes("removed")){
				 mensaje= ajax_object.removed_from_favourites;
				 bgcolor = ajax_object.success_color;
				 jQuery("#esFavorito").html(ajax_object.is_not_favourite);
				 jQuery("#marcarFavorito").val(ajax_object.add);			
			}
			else{
				 mensaje= ajax_object.action_not_done;
				 bgcolor = ajax_object.error_color;
				}
			jQuery("#marcarFavorito").blur();
			jQuery("#server_message").html(mensaje);
			jQuery("#server_message").css("display","block");
			jQuery("#server_message").css("background-color",bgcolor);			
		});
	
	});
	
	jQuery("#recomendar").click(function(){

		var data = {
			action: 'recommend',
			user_id: ajax_object.user_id,
			post_id: ajax_object.post_id,
			user_to: jQuery("#user").val(),
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			if(response=="Error"){
				 mensaje= ajax_object.recommendation_not_sent;
				 bgcolor = ajax_object.error_color;
				 }
			else {
				 mensaje= ajax_object.recommendation_sent + " " + response + ".";			
				 bgcolor = ajax_object.success_color;
				 }			
			jQuery("#recomendar").blur();
			jQuery('#user option:first-child').attr("selected", "selected");
			jQuery("#server_message").html(mensaje);
			jQuery("#server_message").css("display","block");
			jQuery("#server_message").css("background-color",bgcolor);
		});
	
	});
	
	
 	jQuery("#evolution_graph").click(function(){
 		
 			var data = {
			action: 'evolution_graph',		
			etiqueta: jQuery("#categoria").val()
		};
 		
 		
 		
 	});
	
	 	////////////////////////////
 	
 	$("#check-header").on('click',function(e) {
 		  var checkboxes = $(this).closest('form').find(':checkbox').not($(this));
 		  checkboxes.prop('checked', $(this).is(':checked'));

 	});

 	$(".registro-tabla").on('mouseover',function(e) {
 		 $(".acciones").css("visibility","hidden");
 		 $(this).children("#acciones").css("visibility","visible");
 		

 	});

 	$(".delete-link").on('click',function(e) {
 		var concept_id = $(this).data("cid");

 		 $(this).css("color","red");
 		 
 			var data = {
 					
 					id:concept_id,
 			 		action:'deleteConcept'
 				};
 			jQuery(".loading-icon-modal-2").show();
 			jQuery.post(ajax_object.ajax_url, data, function(response) {			
 					  if ( response.data=="concept_deleted" ) {
 							
 							jQuery("#modal-message-proj-txt").show();
 							jQuery("#mail_error").css("visibility","hidden");
 							
 							
 							setTimeout(function() {
 								jQuery(".loading-icon-modal-2").hide();
 								jQuery("#modal-message-proj-txt").hide();
 								location.reload();
 							}, 3000);
 								
 						} else{
 							jQuery("#modal-message-proj-txt").hide();
 							setTimeout(function() {
 								jQuery(".loading-icon-modal-2").hide();
 								jQuery("#modal-message-proj-txt").hide();
 								location.reload();
 							}, 3000);
 						}	
 				

 	});
 			
 	});
 	jQuery("#button-save-user").click(function(e) {


 	/*	var productos = jQuery("#fltrs-bbltc-productos").val();
 		var newsletter = jQuery("#newsletter").val();
 		var custom_newsletter = jQuery("#custom_newsletter").val();
 		var userID=jQuery("#id").val();
 		var userName=jQuery("#nombre").val();
 		var userEmail=jQuery("#mail").val();
 		var userLastName=jQuery("#apellido").val();
 		var action='updateuser';*/
 		

 		jQuery(".loading-icon-modal-1").show();
 		
 		var data = {
 				
 				newsletter: jQuery("#newsletter").val(),				
 		 		custom_newsletter : jQuery("#custom_newsletter").val(),
 		 		userName:jQuery("#nombre").val(),
 		 		userEmail:jQuery("#mail").val(),
 		 		userLastName:jQuery("#apellido").val(),
 		 		productos:jQuery("#fltrs-bbltc-productos").val(),
 		 		id:jQuery("#id").val(),
 		 		action:'updateuser'
 			};

 		jQuery.post(ajax_object.ajax_url, data, function(response) {			
 					if ( response.data=="email_error" ) {
 						jQuery("#mail_error").css("visibility","visible");
 						jQuery(".loading-icon-modal-1").hide();

 					} else if ( response.data=="user_saved" ) {
 						
 						jQuery("#modal-message-proj-txt").show();
 						jQuery("#mail_error").css("visibility","hidden");
 						
 						jQuery(".loading-icon-modal-1").hide();
 						setTimeout(function() {
 							
 							jQuery("#modal-message-proj-txt").hide();
 							location.reload();
 						}, 3000);
 							
 					} else{
 						jQuery("#modal-message-proj-txt").hide();
 						
 						setTimeout(function() {
 							
 							jQuery("#modal-message-proj-txt").hide();
 							jQuery(".loading-icon-modal-1").hide();
 							location.reload();
 						}, 3000);
 							
 					}	
 			
 		});
 		

 		});

 	jQuery("#button-add-concept").click(function(e) {
 			
 			jQuery(".loading-icon-modal-2").show();
 			
 			var data = {
 					
 					concepto: jQuery("#concepto").val(),				
 			 
 			 		id:jQuery("#id").val(),
 			 		action:'insertConcept'
 				};

 			jQuery.post(ajax_object.ajax_url, data, function(response) {			
 						if ( response.data=="email_error" ) {
 							jQuery("#mail_error").css("visibility","visible");
 							jQuery(".loading-icon-modal-2").hide();

 						} else if ( response.data=="term_saved" ) {
 							
 							jQuery("#modal-message-proj-txt").show();
 							jQuery("#mail_error").css("visibility","hidden");
 							
 							jQuery(".loading-icon-modal-2").hide();
 							setTimeout(function() {
 								
 								jQuery("#modal-message-proj-txt").hide();
 								location.reload();
 							}, 3000);
 								
 						} else{
 							jQuery("#modal-message-proj-txt").hide();
 							setTimeout(function() {
 								
 								jQuery("#modal-message-proj-txt").hide();
 								jQuery(".loading-icon-modal-1").hide();
 								location.reload();
 							}, 3000);
 						}	
 				
 			});
 			

 			});
	
	
	
	
});